package com.bcxin.risk.report.enums;

public enum SiteType {
	
	/** 体育场馆*/
	STADIUM {public String getValue(){return "0";} public String getName(){return "体育场馆";}}, 
	/** 会议展览*/
	CONFERENCE{public String getValue(){return "1";} public String getName(){return "会议展览";}},
	/** 露天场地次*/
	OPEN{public String getValue(){return "2";} public String getName(){return "露天场地";}},
	/** 公路赛道*/
	ROAD{public String getValue(){return "3";} public String getName(){return "公路赛道";}},
	/** 其他 */
	OTHER{public String getValue(){return "4";} public String getName(){return "其他";}};


    public abstract String getValue();
    
    public abstract String getName();
    
    public static SiteType convert(String value){
    	if ( "STADIUM".equals(value) ) {
    		return SiteType.STADIUM;
    	} else if ("CONFERENCE".equals(value)) {
    		return SiteType.CONFERENCE;
    	} else if ("OPEN".equals(value)) {
    		return SiteType.OPEN;
    	} else if ("ROAD".equals(value)) {
    		return SiteType.ROAD;
    	} else if ("OTHER".equals(value)) {
    		return SiteType.OTHER;
    	} 
    	return SiteType.OTHER;
    }
    
    public static SiteType convertValue(String value){
      	 if("0".equals(value)){return SiteType.STADIUM;}
   	 else if("1".equals(value)){return SiteType.CONFERENCE;}
   	 else if("2".equals(value)){return SiteType.OPEN;}
   	 else if("3".equals(value)){return SiteType.ROAD;}
   	 else if("4".equals(value)){return SiteType.OTHER;}
   	 else{return SiteType.OTHER;}
      }
}
